X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

WHY SHOULD I HAVE TO BUY A NEW COMPUTER TO RUN FIREFOX,WHEN I HAVE OS 10.5?

Posted

It's ridiculous that I should have to buy a new computer to run Firefox,just because I have OS 10.5. You must think people are made of money.

Additional System Details

Installed Plug-ins

  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • Gecko default plugin
  • http://www.facebook.com/fbplugin/
  • npmnqmp 071701000001
  • Shockwave Flash 10.3 r183
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • The Google Earth Plugin allows you to view 3D imagery and terrain in your web browser.
  • Office Live Update v1.0
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • iPhoto6

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1.1) Gecko/20090715 Firefox/3.5.1

More Information

Tyler Downer
  • Administrator
  • Moderator
1165 solutions 6639 answers

First off you should update to Firefox 16.0.2, which is the latest version of Firefox that will run on your PC. It isn't the most modern, but it's faster and more secure that 3.5.

We dropped support for Mac 10.5 just like we drop support for other old operating systems. The userbase on it is decreasing (due to users upgrading) and continuing to support it is hold back innovation for more modern Operating Systems.

As for why it is considered old, blame Apple. They released 10.5 in 2007 and stopped supporting it in 2009. Because you have an Intel Processor you can probably upgrade to Mac 10.6, which should be something like $20USD.